org.apache.olingo.odata2.api.edm

## Interface EdmNavigationProperty

- All Superinterfaces:
    EdmAnnotatable, EdmMappable, EdmNamed, EdmTyped
  All Known Implementing Classes:
    EdmNavigationPropertyImpl

      public interface EdmNavigationProperty
      extends EdmTyped, EdmMappable, EdmAnnotatable

  Do not implement this interface or derive from class.
    A CSDL NavigationProperty element

    EdmNavigationProperty allows navigation from one entity type to another via a relationship.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFromRole()` Get the from role of the navigation property
    `EdmAssociation` | `getRelationship()` Get the relationship of the navigation property
    `String` | `getToRole()` Get the to role of the navigation property

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmTyped

      `getMultiplicity, getType`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getRelationship

          EdmAssociation getRelationship()
                                  throws EdmException

      Get the relationship of the navigation property
      Returns:
        `EdmAssociation`
      Throws:
        `EdmException`

    - #### getFromRole

          String getFromRole()
                      throws EdmException

      Get the from role of the navigation property
      Returns:
        from role as String
      Throws:
        `EdmException`

    - #### getToRole

          String getToRole()
                    throws EdmException

      Get the to role of the navigation property
      Returns:
        to role as String
      Throws:
        `EdmException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.